#ifndef STACK_H

#define STACK_H

typedef struct pile pile_t;

struct pile {
	int *p;
	int top;
	int cap;
};

void push(pile_t *pile, int v);
int pop(pile_t *pile);
int empty(pile_t pile);
int top(pile_t pile);
pile_t init_pile(void);
void free_pile(pile_t *s);

#endif /* end of include guard: STACK_H */
